Create a delivery request for an IT asset
Create a delivery request to ship an asset from a warehouse to a worker (HRIS profile), with Deel operations executing the logistics. If you only need to record a location change without using Deel IT services, use POST /rest/it/assets/{asset_id}/location.
Token scopes: it-service-requests:write
Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2026-12-15.
Authentication
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
Headers
Opts in to the beta version of this endpoint. Must be true.